Skip To Content

Data Appliance 6.4 for ArcGIS system requirements

To get information for earlier versions, see Data Appliance 6.3 for ArcGIS system requirements.

The system requirements for all Data Appliance 6.4 for ArcGIS product options are noted below.

Esri product teams have a policy of supporting hardware, operating systems, compilers, web browsers, and web servers. For more information, see Supported Environment Policy.

Requirements for publishing

To host Data Appliance 6.4 for ArcGIS services, ArcGIS Server 10.3, 10.3.1, 10.4, 10.4.1, 10.5, or 10.5.1 is required.

The following services have special requirements:

  • To publish the Terrain and Terrain3D services on Collection B, ArcGIS Server 10.3, 10.3.1, 10.4, 10.4.1, 10.5, or 10.5.1 as well as the ArcGIS Image Extension for Server are required.
  • To publish the Elevation and ElevationSync geoprocessing services on Collection B, ArcGIS Server 10.3, 10.3.1, 10.4, 10.4.1, 10.5, or 10.5.1 with an Advanced license is required as well as ArcGIS 10.3 for Desktop or later with a Standard or Advanced license.
  • To publish the World Places Locator on Collection B, ArcGIS Server 10.4.1, 10.5, or 10.5.1 is required as well the geocoding patch for the version of ArcGIS that you are running. Suggestions functionality is available when using ArcGIS Server 10.4.1 or later with the appropriate geocoding patch. You can find links to the geocoding patches on the ArcGIS Enterprise website.

Supported system configurations

Data Appliance for ArcGIS (Windows)

Data Appliance for ArcGIS for Windows is built on Microsoft Windows Storage Server 2012 R2 Standard.

ArcGIS for ServerOperating System for ArcGIS for Server

ArcGIS Server 10.5

Microsoft Windows Server 2012 R2 (64 bit) Datacenter

Supported

ArcGIS 10.4 for Server

ArcGIS 10.4.1 for Server

Microsoft Windows Server 2012 (64 bit) Standard and Enterprise

Microsoft Windows Server 2012 R2 (64 bit) Standard and Datacenter

Supported

ArcGIS 10.3 for Server

ArcGIS 10.3.1 for Server

Microsoft Windows Server 2008 R2 (64 bit) Standard, Enterprise, and Datacenter

Microsoft Windows Server 2012 (64 bit) Standard and Enterprise

Microsoft Windows Server 2012 R2 (64 bit) Standard and Datacenter

Supported

  • Data Appliance for ArcGIS may work in other environments supported by ArcGIS Server, but Data Appliance 6.4 for ArcGIS has not been tested and certified on those environments.

For more information on ArcGIS Server 10.5.x system requirements, see ArcGIS Server 10.5.x system requirements.

For more information on ArcGIS 10.4.x for Server system requirements, see ArcGIS 10.4.x for Server system requirements.

For more information on ArcGIS 10.3 and 10.3.1 for Server system requirements, see ArcGIS 10.3.1 for Server system requirements.

For more information on supported system configurations, send an email to dataapp@esri.com.